[![PyPi Package Version](https://img.shields.io/pypi/v/calendar-pytba.svg)](https://pypi.python.org/pypi/calendar-pytba)
[![Supported Python versions](https://img.shields.io/pypi/pyversions/calendar-pytba.svg)](https://pypi.python.org/pypi/calendar-pytba)
[![PyPi downloads](https://img.shields.io/pypi/dm/calendar-pytba.svg)](https://pypi.org/project/calendar-pytba/)

# calendar-pytba


Library for creating a calendar from InlineKeyboardMarkup in
Telegram bots. Works with [pyTelegramBotAPI](https://github.com/eternnoir/pyTelegramBotAPI) library


### Installation:

- Using pip:

```bash
pip install calendar-pytba
```

- Using poetry:

```bash
poetry add calendar-pytba
```

- Build from source:

[Install](https://python-poetry.org/docs/#installation) Poetry

```bash
git clone https://github.com/pavelan0khin/calendar-pytba.git

cd calendar-pytba

poetry build
```

### Usage:

1. [Create calendar](examples/create_calendar.py)
2. [Handle callbacks](examples/handle_callbacks.py)


### Demo:

![Alt Text](examples/demo.gif)


### You can also see an example of how it works:

- [Telegram Bot](https://t.me/calendarpytbaexamplebot)
- [Source code](https://github.com/pavelan0khin/calendar-pytba-example)
